using RudderSdk.Core.Abstractions;

namespace RudderSdk.Unity
{
  internal class UnityLoggerAdapter : IRudderLogger
  {
    private readonly IUnityLoggerSink _sink;

    public UnityLoggerAdapter(IUnityLoggerSink sink) => _sink = sink;

    public void Log(RudderLogLevel level, string message) => _sink.Log(level, message);
  }
}
